/// <reference types="mcustomscrollbar" />
/// <reference types="jquery" />
import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { MalihuScrollbarService } from './malihu-scrollbar.service';
/**
 * Malihu Custom Scrollbar directive.
 * Use this reference link for options definition:
 * http://manos.malihu.gr/jquery-custom-content-scroller/
 */
export declare class MalihuScrollbarDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private mScrollbarService;
    scrollElementId: string | undefined;
    scrollbarOptions: MCustomScrollbar.CustomScrollbarOptions;
    scrollableElement: JQuery | undefined;
    constructor(elementRef: ElementRef, mScrollbarService: MalihuScrollbarService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    initElements(): void;
    initScrollbar(): void;
    destroyScrollbar(): void;
}
